%global commit 2f9c2ac586e6fd967b12fa10571cbd0479683d46
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20240626


Name:                    emas
Version:                 2.1.1
Release:                 4.git%{gitdate}%{?dist}
Summary:                 EMAS is a modern assembler for MERA 400.

License:                 GPL-2.0-or-later
URL:                     https://github.com/jakubfi/emas
Source0:                 https://github.com/jakubfi/emas/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:           gcc
BuildRequires:           cmake >= 3.0.0
BuildRequires:           libemawp-devel
BuildRequires:           libemawp
BuildRequires:           bison
BuildRequires:           flex
Requires:                libemawp

%description
EMAS is a modern assembler for MERA 400.


%package -n %{name}-vim
Summary: Syntax highlight files for VIM

%description -n %{name}-vim
Syntax highlight files for VIM


%prep
%autosetup -n %{name}-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install
mkdir -p %{buildroot}%{_datadir}/%{name}/tests
mkdir -p %{buildroot}%{_datadir}/%{name}/examples

mkdir -p %{buildroot}%{_datadir}/vim/vimfiles/ftdetect
mkdir -p %{buildroot}%{_datadir}/vim/vimfiles/syntax

%{__cp} -r tests/* %{buildroot}%{_datadir}/%{name}/tests
%{__cp} -r examples/* %{buildroot}%{_datadir}/%{name}/examples
%{__cp} vim/ftdetect/emas.vim %{buildroot}%{_datadir}/vim/vimfiles/ftdetect
%{__cp} vim/syntax/emas.vim %{buildroot}%{_datadir}/vim/vimfiles/syntax

%files -n emas
%license COPYING
%{_bindir}/emas
%{_datadir}/emas/include/*.inc
%{_datadir}/emas/tests/*
%{_datadir}/emas/examples/*
%files -n emas-vim
%{_datadir}/vim/vimfiles/*

%changelog
* Wed Jun 26 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 2.1.1-4.git20240626
- add acceptance tests
- add acceptance tests
- janitorial
- add more acceptace tests
- fix byte arg range checking, temporary brc/blc arg fix
- add more acceptance tests
- update CI for linux builds
- add acceptance tests to CI
- acceptance tests for float expressions and eval
- add more debug for evaluation
- handle to int/float conversion errors in lexer
- writers: janitorial
- resolve .equ and .const late, keep type
- janitorial
- fix use-after-free
- janitorial: use node types for eval_tab indexing
- remove dead code
- add testing vs stable emas, tests janitorial
- add evaluation for float numbers

* Sun Jun 11 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 2.1.1-4.git20230611
- add interrupt spec positions for KZ
- default include directories fix

* Mon Feb 14 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 2.1.1-4.git20220214
- be more verbose when running tests
- add build actions
- y u no like deep stack, windows?
- open files in binary mode

* Sun Feb 13 2022 Paweł Marciniak <sunwire+repo@gmail.com> - 2.1.1-4.git20220213
- support building on windows
- Update emawp import, reorganize cmake, janitorial
- remove .travis.yml

* Wed Dec 22 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 2.1.1-3
- commit drop emelf

* Sat Dec 11 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 2.1.1-2
- Add some new depedicies
- Put VIM files into separate package

* Sun Dec 5 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 2.1.1-1
- Initial build

